Bug 1577106 - [abrt] rcu_exp_wait_wake: WARNING: CPU: 0 PID: 10705 at net/mac80211/util.c:1863 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Summary: [abrt] rcu_exp_wait_wake: WARNING: CPU: 0 PID: 10705 at net/mac80211/util.c:1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:53e41f3a2b733389838c989fd92...
: 1583312 1598393 1601104 1655968 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 08:22 UTC by Thomas Mueller
Modified: 2019-03-04 08:16 UTC (History)
35 users (show)

Fixed In Version: kernel-4.16.16-300.fc28 kernel-4.16.16-200.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 01:51:22 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (65.59 KB, text/plain)
2018-05-11 08:22 UTC, Thomas Mueller
no flags Details
dmesg before crash (3.44 KB, text/plain)
2018-05-23 09:42 UTC, Timur Kristóf
no flags Details

Description Thomas Mueller 2018-05-11 08:22:45 UTC
Description of problem:
after just a few minutes, the wifi connection fails and the notebook locks up compeltly.

* start the notebook
* login
* start wifi
* wait for 2-3 minutes until wifi is gone
* use the wifi "turn off" functione in the gnome gui
* use the "turn on"

now everything is blocked. only a hard powercycle helps.

The wifi worked on Fedora 27. But also had issues with the wifi but turn off/on made it work  again.

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 0 PID: 10705 at net/mac80211/util.c:1863 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: fuse thunderbolt nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security rfcomm iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp snd_soc_sst_ipc tpm_crb snd_soc_acpi arc4 mei_wdt iTCO_wdt iTCO_vendor_support hid_multitouch snd_hda_codec_hdmi intel_rapl x86_pkg_temp_thermal intel_powerclamp
 coretemp kvm_intel dell_laptop kvm ath10k_pci ath10k_core snd_hda_codec_realtek snd_hda_codec_generic irqbypass snd_soc_core intel_cstate intel_uncore mac80211 snd_compress intel_rapl_perf snd_pcm_dmaengine ac97_bus snd_hda_intel snd_hda_codec snd_hda_core ath snd_hwdep dell_wmi joydev snd_seq cfg80211 dell_smbios dcdbas snd_seq_device wmi_bmof dell_wmi_descriptor snd_pcm intel_wmi_thunderbolt rtsx_pci_ms uvcvideo memstick videobuf2_vmalloc btusb videobuf2_memops btrtl btbcm btintel videobuf2_v4l2 videobuf2_common bluetooth videodev snd_timer media snd soundcore i2c_i801 ecdh_generic mei_me rfkill idma64 mei shpchp intel_lpss_pci processor_thermal_device intel_lpss ucsi_acpi intel_pch_thermal typec_ucsi intel_soc_dts_iosf typec soc_button_array intel_vbtn intel_hid int3403_thermal tpm_tis
 int340x_thermal_zone tpm_tis_core pinctrl_sunrisepoint int3400_thermal tpm sparse_keymap acpi_thermal_rel pinctrl_intel acpi_pad xfs libcrc32c dm_crypt dm_multipath i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul i2c_algo_bit crc32_pclmul drm_kms_helper crc32c_intel ghash_clmulni_intel drm serio_raw nvme nvme_core rtsx_pci wmi i2c_hid video
CPU: 0 PID: 10705 Comm: kworker/0:3 Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: Dell Inc. XPS 13 9360/0PF86Y, BIOS 2.6.2 02/26/2018
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffa89b0744be00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff972865b20f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff97287e4168f0
RBP: ffff972865b20f90 R08: 000000000000003c R09: 000000000000053a
R10: 0000000000000000 R11: 0000000000000001 R12: ffff972865b213a0
R13: ffff972865b20760 R14: ffff972789160000 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff97287e400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055eace407158 CR3: 000000000c20a005 CR4: 00000000003606f0
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 86 e1 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 30 c3 a2 c0 e8 ed da 6b fb <0f> 0b 4c 89 ef e8 69 e3 ff ff e9 0b 03 00 00 c6 87 92 04 00 00 

Potential duplicate: bug 1567203

Comment 1 Thomas Mueller 2018-05-11 08:22:59 UTC
Created attachment 1434807 [details]
File: dmesg

Comment 2 Chad Feller 2018-05-21 03:56:41 UTC
Description of problem:
Network stopped working, seconds later this crash report appeared...

Version-Release number of selected component:
kernel-core-4.16.8-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.8-300.fc28.x86_64 root=/dev/mapper/fedora_stormbreaker-root ro resume=/dev/mapper/fedora_stormbreaker-swap rd.lvm.lv=fedora_stormbreaker/root rd.luks.uuid=luks-44c9f4c0-7182-415d-989a-bbba19ec84e3 rd.lvm.lv=fedora_stormbreaker/swap rhgb quiet LANG=en_US.UTF-8 pcie_aspm=off
crash_function: rcu_exp_wait_wake
kernel:         4.16.8-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 479 at net/mac80211/util.c:1863 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: fuse ccm rfcomm thunderbolt nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink arc4 ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc snd_hda_codec_hdmi hid_multitouch snd_hda_codec_realtek snd_hda_codec_generic dell_rbtn iTCO_wdt mei_wdt iTCO_vendor_support intel_rapl ath10k_pci x86_pkg_temp_thermal intel_powerclamp ath10k_core coretemp
 kvm_intel dell_laptop dell_smm_hwmon kvm mac80211 snd_hda_intel irqbypass intel_cstate uvcvideo btusb intel_uncore snd_hda_codec btrtl btbcm videobuf2_vmalloc intel_rapl_perf videobuf2_memops btintel tpm_crb snd_hda_core snd_hwdep ath snd_seq dell_wmi videobuf2_v4l2 bluetooth snd_seq_device videobuf2_common dell_smbios cfg80211 dcdbas snd_pcm videodev idma64 wmi_bmof dell_wmi_descriptor intel_wmi_thunderbolt joydev media snd_timer ecdh_generic rfkill snd rtsx_pci_ms memstick soundcore mei_me processor_thermal_device i2c_i801 mei intel_lpss_pci intel_soc_dts_iosf intel_lpss tpm_tis intel_pch_thermal tpm_tis_core dell_smo8800 shpchp tpm int3403_thermal ie31200_edac int340x_thermal_zone int3400_thermal intel_hid acpi_thermal_rel sparse_keymap acpi_pad dm_crypt asix usbnet mii nouveau i915
 ttm rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper mxm_wmi drm crct10dif_pclmul crc32_pclmul nvme crc32c_intel ghash_clmulni_intel nvme_core rtsx_pci serio_raw i2c_hid wmi video
CPU: 2 PID: 479 Comm: kworker/2:3 Not tainted 4.16.8-300.fc28.x86_64 #1
Hardware name: Dell Inc. Precision 5520/06X96V, BIOS 1.9.4 04/23/2018
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffb2cc83a03e00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff8a74169c0f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8a743e4968f0
RBP: ffff8a74169c0f90 R08: 000000000000003c R09: 0000000000000575
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8a74169c13a0
R13: ffff8a74169c0760 R14: ffff8a74140426c0 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff8a743e480000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00003e61324044e0 CR3: 00000002a520a006 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit_group+0x10/0x10
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 96 e1 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 30 33 c4 c0 e8 8d 6b 4a f0 <0f> 0b 4c 89 ef e8 69 e3 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 3 Prashant Dhamdhere 2018-05-21 13:55:42 UTC
Experienced the similar issue on Fedora 28 

Kernel : 4.16.6-302.fc28.x86_64

Backtraces :

WARNING: CPU: 7 PID: 69 at net/mac80211/util.c:1863 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc rmi_smbus rmi_core arc4 iwlmvm mac80211 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlwifi mei_wdt kvm iTCO_wdt iTCO_vendor_support wmi_bmof irqbypass btusb crct10dif_pclmul btrtl crc32_pclmul btbcm snd_hda_codec_realtek
 btintel snd_hda_codec_hdmi ghash_clmulni_intel snd_hda_codec_generic cfg80211 intel_cstate uvcvideo snd_hda_intel intel_uncore videobuf2_vmalloc videobuf2_memops bluetooth snd_hda_codec videobuf2_v4l2 videobuf2_common intel_rapl_perf videodev snd_hda_core snd_hwdep snd_seq media snd_seq_device joydev snd_pcm rtsx_pci_ms memstick thinkpad_acpi mei_me snd_timer mei i2c_i801 ecdh_generic lpc_ich snd shpchp soundcore ie31200_edac tpm_tis wmi rfkill tpm_tis_core tpm i915 rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper drm e1000e crc32c_intel serio_raw rtsx_pci ptp pps_core video
CPU: 7 PID: 69 Comm: kworker/7:1 Tainted: G             L   4.16.6-302.fc28.x86_64 #1
Hardware name: LENOVO 20AWA20400/20AWA20400, BIOS GLET80WW (2.34 ) 07/23/2015
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0000:ffffac5dc1b5be00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff8f5379760f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8f539e3d68f0
RBP: ffff8f5379760f90 R08: 000000000000003c R09: 00000000000003fc
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8f53797613a0
R13: ffff8f5379760760 R14: ffff8f538b96d6c0 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff8f539e3c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa5b16a7f10 CR3: 000000032220a002 CR4: 00000000001606e0
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 86 e1 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 30 03 b8 c0 e8 ed 9a 56 d1 <0f> 0b 4c 89 ef e8 69 e3 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 4 Timur Kristóf 2018-05-22 22:16:06 UTC
Description of problem:
Running kernel 4.17 RC5 on a Dell XPS 13 9370. Sometimes the wifi network fails. When this happens, I disable and re-enable the wifi adapter. And sometimes, this results in the whole system hanging.

Version-Release number of selected component:
kernel-core-4.17.0-0.rc5.git3.2.fc29

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.0-0.rc5.git3.2.fc29.x86_64 root=/dev/mapper/fedora_localhost--live-root ro rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-d8b45354-7dd1-43d2-ad3a-9274c72fb5eb rhgb quiet
crash_function: rcu_exp_wait_wake
kernel:         4.17.0-0.rc5.git3.2.fc29.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 7249 at net/mac80211/util.c:1907 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: binfmt_misc fuse ccm rfcomm thunderbolt xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc vfat fat arc4 btusb btrtl btbcm uvcvideo btintel videobuf2_vmalloc videobuf2_memops bluetooth videobuf2_v4l2 videobuf2_common videodev media ecdh_generic snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core
 snd_soc_sst_dsp snd_soc_sst_ipc snd_soc_acpi snd_soc_core ath10k_pci snd_hda_codec_realtek ath10k_core snd_hda_codec_generic snd_compress snd_pcm_dmaengine ac97_bus intel_rapl mei_wdt iTCO_wdt x86_pkg_temp_thermal iTCO_vendor_support hid_multitouch intel_powerclamp coretemp dell_laptop mac80211 dell_wmi dell_smbios intel_wmi_thunderbolt snd_hda_intel dell_wmi_descriptor wmi_bmof dcdbas snd_hda_codec kvm_intel snd_hda_core ath snd_hwdep kvm snd_seq snd_seq_device snd_pcm cfg80211 irqbypass intel_cstate intel_uncore rtsx_pci_ms snd_timer intel_rapl_perf memstick rfkill idma64 snd mei_me ucsi_acpi joydev soundcore i2c_i801 typec_ucsi processor_thermal_device intel_lpss_pci mei shpchp intel_lpss intel_soc_dts_iosf intel_pch_thermal typec wmi pinctrl_sunrisepoint intel_hid pinctrl_intel acpi_pad
 sparse_keymap int3403_thermal int3400_thermal int340x_thermal_zone acpi_thermal_rel dm_crypt i915 i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc crct10dif_pclmul crc32_pclmul mmc_core crc32c_intel drm nvme rtsx_pci nvme_core ghash_clmulni_intel serio_raw i2c_hid video
CPU: 0 PID: 7249 Comm: kworker/0:4 Not tainted 4.17.0-0.rc5.git3.2.fc29.x86_64 #1
Hardware name: Dell Inc. XPS 13 9370/0F6P3V, BIOS 1.3.2 05/07/2018
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffad3d035c7e00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff9c2f997a0f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff9c2fae4168f0
RBP: ffff9c2f997a0f90 R08: 000000000000003c R09: 0000000000000572
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9c2f997a13a0
R13: ffff9c2f997a0760 R14: ffff9c2ede15e9c0 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff9c2fae400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f509c212a28 CR3: 000000036e20a003 CR4: 00000000003606f0
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 06 da fc ff 41 89 c7 85 c0 74 63 48 c7 c7 48 c3 ba c0 e8 4d 1d 54 f8 <0f> 0b 4c 89 ef e8 09 e2 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 5 Thomas Mueller 2018-05-23 06:29:27 UTC
since 4.16.9-300.fc28.x86_64 I haven't seen this error anymore. Wifi was stable since the upgrade.

Comment 6 Timur Kristóf 2018-05-23 09:42:35 UTC
Created attachment 1440522 [details]
dmesg before crash

This is how it happens to me:
1. wifi looses the current network (appears on the gui as if it were connected but with zero bars on the signal strength indicator)
2. turn wifi off
3. turn wifi on again ---> the system hangs completely

Attaching a dmesg log for the wifi after stage 1 already happened. (But before crashing my system.) The interesting part seems to be this:
[30372.900832] wlp2s0: AP 64:7c:34:3f:c3:b0 changed bandwidth, new config is 2437 MHz, width 2 (2447/0 MHz)

Searching a bit in kernel sources, this message is printed by this line:
https://github.com/torvalds/linux/blob/master/net/mac80211/mlme.c#L364
And width 2 seems to correspond to NL80211_CHAN_WIDTH_40 here:
https://github.com/torvalds/linux/blob/master/include/uapi/linux/nl80211.h#L3880

So it seems that either the driver or the firmware can't cope with it when the AP changes the bandwidth.

Now I upgraded to 4.17-rc6 and also updated the firmware to the latest from the manufacturer. Will report back about whether this helps or not.

Comment 7 Chad Feller 2018-05-23 13:59:41 UTC
Description of problem:
Wireless networking hung - moments later this bug report appeared.

Version-Release number of selected component:
kernel-core-4.16.9-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.9-300.fc28.x86_64 root=/dev/mapper/fedora_stormbreaker-root ro resume=/dev/mapper/fedora_stormbreaker-swap rd.lvm.lv=fedora_stormbreaker/root rd.luks.uuid=luks-44c9f4c0-7182-415d-989a-bbba19ec84e3 rd.lvm.lv=fedora_stormbreaker/swap rhgb quiet LANG=en_US.UTF-8 pcie_aspm=off
crash_function: rcu_exp_wait_wake
kernel:         4.16.9-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 343 at net/mac80211/util.c:1863 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: fuse rfcomm ccm thunderbolt nvmem_core xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc snd_hda_codec_hdmi arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp dell_rbtn coretemp mei_wdt snd_hda_codec_realtek hid_multitouch snd_hda_codec_generic iTCO_wdt kvm_intel iTCO_vendor_support kvm ath10k_pci
 ath10k_core dell_laptop dell_smm_hwmon irqbypass intel_cstate mac80211 snd_hda_intel intel_uncore snd_hda_codec intel_rapl_perf snd_hda_core dell_wmi uvcvideo dell_smbios snd_hwdep dcdbas snd_seq btusb btrtl ath snd_seq_device btbcm tpm_crb btintel intel_wmi_thunderbolt cfg80211 snd_pcm dell_wmi_descriptor wmi_bmof videobuf2_vmalloc bluetooth videobuf2_memops videobuf2_v4l2 videobuf2_common joydev videodev rtsx_pci_ms memstick media snd_timer mei_me ecdh_generic idma64 mei snd rfkill intel_lpss_pci ie31200_edac processor_thermal_device shpchp i2c_i801 soundcore intel_lpss intel_soc_dts_iosf intel_pch_thermal tpm_tis tpm_tis_core int3400_thermal tpm dell_smo8800 acpi_thermal_rel int3403_thermal int340x_thermal_zone acpi_pad intel_hid sparse_keymap dm_crypt i915 nouveau ttm rtsx_pci_sdmmc
 i2c_algo_bit mmc_core drm_kms_helper mxm_wmi nvme crct10dif_pclmul crc32_pclmul crc32c_intel drm rtsx_pci ghash_clmulni_intel serio_raw nvme_core i2c_hid video wmi
CPU: 4 PID: 343 Comm: kworker/4:2 Not tainted 4.16.9-300.fc28.x86_64 #1
Hardware name: Dell Inc. Precision 5520/06X96V, BIOS 1.9.4 04/23/2018
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffae0683a0fe00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff93dd95ee0f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff93ddbe5168f0
RBP: ffff93dd95ee0f90 R08: 000000000000003c R09: 0000000000000549
R10: 0000000000000000 R11: 0000000000000001 R12: ffff93dd95ee13a0
R13: ffff93dd95ee0760 R14: ffff93dd95787780 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff93ddbe500000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005618bfe34790 CR3: 000000070b20a003 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? do_syscall_64+0x74/0x180
 ? SyS_exit_group+0x10/0x10
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 96 e1 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 30 53 ed c0 e8 8d 4b 21 d3 <0f> 0b 4c 89 ef e8 69 e3 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 8 Timur Kristóf 2018-05-28 11:26:36 UTC
> Now I upgraded to 4.17-rc6 and also updated the firmware to the latest from
> the manufacturer. Will report back about whether this helps or not.

* kernel-4.16.8-300.fc28.x86_64 with latest firmware: still keeps crashing
* kernel-4.17.0-0.rc6.git3.2.fc29.x86_64 with latest firmware: did not notice this specific issue anymore, but still experiencing system freezes. Not sure if those are related to wifi, though.

Comment 9 Gérald Hameau 2018-05-28 16:36:05 UTC
*** Bug 1583312 has been marked as a duplicate of this bug. ***

Comment 10 Timur Kristóf 2018-05-29 08:34:33 UTC
I tested with some other wireless APs in the past few days.

While it does reduce the frequency of the crashes, they did not go away completely. Now it can survive some bandwidth changes, but eventually some very similar backtraces start to crop up in the journal, along with firmware crashes...

So the problem is not really solved.

Comment 11 Timur Kristóf 2018-05-29 12:38:32 UTC
I can reliably reproduce the problem by simulating some firmware hard crashes like this:

echo hard > /sys/kernel/debug/ieee80211/phy0/ath10k/simulate_fw_crash

On my machine the issue always occours after 3 such simulated crashes. I would expect that a single driver crash should not affect the whole
system like this, but it does.

Comment 12 Thomas Mueller 2018-06-01 09:31:30 UTC
was ok: kernel 4.16.11-300.fc28.x86_64
failing again: kernel 4.16.12-300.fc28.x86_64

Comment 13 Timur Kristóf 2018-06-09 22:42:59 UTC
I've discussed this issue with the ath10k driver maintainers.
Here is the relevant thread:
http://lists.infradead.org/pipermail/ath10k/2018-May/011534.html

It boils down to two problems:
1. When the AP changes bandwidth, the firmware crashes
2. After the firmware crashes a number of times the driver is unable to recover and takes the entire system down with it

Number 1 is fixed by this patch:
http://lists.infradead.org/pipermail/ath10k/2018-June/011582.html

I've been running a custom-built kernel, basically applied the patch to Fedora's kernel 4.17 package, and can confirm that the ath10k firmware no longer crashes when the AP changes bandwidth.

Now giving it a try on the latest 4.17 version (which is no longer RC), and if it works, I will send a pull request to the Fedora kernel package on pagure.

Comment 14 Timur Kristóf 2018-06-11 16:00:36 UTC
Since the maintainer has not yet accepted the patch: there is also a workaround: in your wireless AP's settings, change the bandwidth to a constant value. For example, change it from "20 MHz / 40 MHz" to just "20 MHz" - that way it won't try to change the bandwidth, hence this issue will not be triggered.

Comment 15 Fedora Update System 2018-06-17 14:06:43 UTC
kernel-4.16.16-200.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c449dc1c9c

Comment 16 Fedora Update System 2018-06-17 14:07:45 UTC
kernel-4.16.16-300.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb7aab12cb

Comment 17 Fedora Update System 2018-06-17 19:38:07 UTC
kernel-4.16.16-200.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c449dc1c9c

Comment 18 Fedora Update System 2018-06-17 20:19:39 UTC
kernel-4.16.16-300.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bb7aab12cb

Comment 19 Fedora Update System 2018-06-20 01:51:22 UTC
kernel-4.16.16-300.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Timur Kristóf 2018-06-20 06:28:03 UTC
FYI: the Fedora kernel team was kind enough to include this patch in their latest 4.16 release. It was accidentally dropped from 4.17.2 though but will be re-added to 4.17.3 AFAIU.

Comment 21 Luca Pasquali 2018-06-21 08:35:32 UTC
Description of problem:
Machine crashed while doing anything at 6:22 am my timezone is CEST, but actually I'm reporting this information in case the hour value is related to some cron job, I have no idea about what caused the problem, the machine is a plain Fedora 28 with last kernel updated yesterday.

Version-Release number of selected component:
kernel-core-4.16.16-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.16-300.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-fd46e770-81e4-4b7c-b2d8-8764d6fb54da rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_US.UTF-8
crash_function: rcu_exp_wait_wake
kernel:         4.16.16-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 28495 at net/mac80211/util.c:1863 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: authenc echainiv esp4 xfrm6_mode_tunnel xfrm4_mode_tunnel des3_ede_x86_64 des_generic fuse rfcomm ccm ip_set nfnetlink bridge stp llc libcrc32c cmac bnep sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iTCO_wdt kvm_intel iTCO_vendor_support mei_wdt dell_wmi sparse_keymap arc4 kvm wmi_bmof ppdev iwldvm snd_hda_codec_hdmi irqbypass dell_laptop mac80211 dell_smbios dell_wmi_descriptor intel_cstate dcdbas intel_uncore snd_hda_codec_idt intel_rapl_perf snd_hda_codec_generic dell_smm_hwmon btusb btrtl btbcm btintel snd_hda_intel bluetooth uvcvideo snd_hda_codec iwlwifi videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hda_core snd_hwdep snd_seq videobuf2_common snd_seq_device videodev cfg80211 snd_pcm media joydev ecdh_generic i2c_i801 snd_timer
 snd lpc_ich soundcore shpchp mei_me mei wmi parport_pc parport dell_rbtn dell_smo8800 rfkill dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel sdhci_pci i2c_algo_bit cqhci drm_kms_helper sdhci serio_raw e1000e mmc_core drm ptp pps_core video [last unloaded: ip6_tables]
CPU: 3 PID: 28495 Comm: kworker/3:1 Not tainted 4.16.16-300.fc28.x86_64 #1
Hardware name: Dell Inc. Latitude E6530/0JC5MT, BIOS A21 02/21/2018
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffae518b827e00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff92cf12768f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff92cf1e396930
RBP: ffff92cf12768f90 R08: 000000000000003c R09: 0000000000000438
R10: 0000000000000000 R11: 0000000000000001 R12: ffff92cf127693a0
R13: ffff92cf12768760 R14: ffff92ce2d8ea6c0 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff92cf1e380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00001383f7bba000 CR3: 000000014720a004 CR4: 00000000001606e0
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 96 e1 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 30 53 a0 c0 e8 9d 4c 6e f5 <0f> 0b 4c 89 ef e8 69 e3 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 22 Fedora Update System 2018-06-22 14:10:58 UTC
kernel-4.16.16-200.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Caio Jacobina 2018-07-05 10:04:31 UTC
*** Bug 1598393 has been marked as a duplicate of this bug. ***

Comment 24 Andrea Rossi 2018-07-13 21:59:06 UTC
*** Bug 1601104 has been marked as a duplicate of this bug. ***

Comment 25 Vasil Velichkov 2018-07-15 22:30:24 UTC
Description of problem:
I was trying to switch from one hotspot to another. The first hotspot was probably too far away and it couldn't connect so I tried to switch to another one and then it fails.

Version-Release number of selected component:
kernel-core-4.17.5-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.5-200.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-4c23b262-d602-4c73-a9fe-8de1d6b08a5b rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: rcu_exp_wait_wake
kernel:         4.17.5-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 11375 at net/mac80211/util.c:1907 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: bnep bluetooth ecdh_generic ccm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel gpio_ich iTCO_wdt iTCO_vendor_support wmi_bmof mei_wdt arc4 kvm iwldvm uvcvideo mac80211 irqbypass videobuf2_vmalloc videobuf2_memops intel_cstate
 intel_uncore snd_hda_codec_hdmi intel_rapl_perf videobuf2_v4l2 videobuf2_common snd_hda_codec_realtek iwlwifi videodev snd_hda_codec_generic media snd_hda_intel joydev snd_hda_codec cfg80211 snd_hda_core snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm lpc_ich thinkpad_acpi shpchp snd_timer wmi snd mei_me rfkill mei soundcore dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper sdhci_pci cqhci sdhci serio_raw drm e1000e mmc_core video
CPU: 3 PID: 11375 Comm: kworker/3:1 Not tainted 4.17.5-200.fc28.x86_64 #1
Hardware name: LENOVO 23257G6/23257G6, BIOS G2ET94WW (2.54 ) 04/30/2013
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffbd88c9587e00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff95b80a5c0f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff95b81e2d6930
RBP: ffff95b80a5c0f90 R08: 000000000000003c R09: 0000000000000659
R10: 0000000000000000 R11: 0000000000000001 R12: ffff95b80a5c13a0
R13: ffff95b80a5c0760 R14: ffff95b79f9d3480 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff95b81e2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000559d331c1600 CR3: 000000007e20a006 CR4: 00000000001606e0
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 06 da fc ff 41 89 c7 85 c0 74 63 48 c7 c7 48 63 b3 c0 e8 0d 7e 5b df <0f> 0b 4c 89 ef e8 09 e2 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 26 Vasil Velichkov 2018-07-18 20:45:44 UTC
Description of problem:
Trying to connect to a hotspot with not very strong signal

Version-Release number of selected component:
kernel-core-4.17.6-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.6-200.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.luks.uuid=luks-4c23b262-d602-4c73-a9fe-8de1d6b08a5b rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: rcu_exp_wait_wake
kernel:         4.17.6-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 5699 at net/mac80211/util.c:1907 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: binfmt_misc fuse ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_CHECKSUM tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat intel_rapl x86_pkg_temp_thermal intel_powerclamp arc4 coretemp kvm_intel iwldvm iTCO_wdt gpio_ich mei_wdt iTCO_vendor_support kvm wmi_bmof mac80211 uvcvideo snd_hda_codec_hdmi iwlwifi snd_hda_codec_realtek irqbypass snd_hda_codec_generic
 videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 intel_cstate videobuf2_common intel_uncore videodev intel_rapl_perf snd_hda_intel cfg80211 media snd_hda_codec snd_hda_core snd_hwdep joydev snd_seq snd_seq_device snd_pcm i2c_i801 thinkpad_acpi lpc_ich shpchp snd_timer mei_me mei snd wmi soundcore rfkill dm_crypt i915 crct10dif_pclmul crc32_pclmul i2c_algo_bit crc32c_intel drm_kms_helper ghash_clmulni_intel sdhci_pci drm cqhci serio_raw sdhci mmc_core e1000e video
CPU: 2 PID: 5699 Comm: kworker/2:0 Not tainted 4.17.6-200.fc28.x86_64 #1
Hardware name: LENOVO 23257G6/23257G6, BIOS G2ET94WW (2.54 ) 04/30/2013
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffbdcc098b7e00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff97b17d2b8f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff97b19e296930
RBP: ffff97b17d2b8f90 R08: 000000000000003c R09: 0000000000000458
R10: 0000000000000000 R11: 0000000000000001 R12: ffff97b17d2b93a0
R13: ffff97b17d2b8760 R14: ffff97b01bd79600 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff97b19e280000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055648bcfbf80 CR3: 00000001ff20a004 CR4: 00000000001626e0
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 06 da fc ff 41 89 c7 85 c0 74 63 48 c7 c7 48 f3 9a c0 e8 0d ee 73 e7 <0f> 0b 4c 89 ef e8 09 e2 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 27 aoellerer 2018-09-05 14:56:07 UTC
Description of problem:
I tried to connect to another wifi

Version-Release number of selected component:
kernel-core-4.17.19-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.19-200.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-9d2c4b02-6124-4198-858f-d96a6fce2075 rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: rcu_exp_wait_wake
kernel:         4.17.19-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 17566 at net/mac80211/util.c:1907 ieee80211_reconfig+0x7d/0x12b0 [mac80211]
Modules linked in: xt_nat veth rfcomm fuse nf_conntrack_netlink xt_addrtype br_netfilter overlay ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass arc4 iwldvm iTCO_wdt mac80211 gpio_ich mei_wdt iTCO_vendor_support btusb uvcvideo snd_hda_codec_hdmi
 intel_cstate snd_hda_codec_conexant btrtl snd_hda_codec_generic btbcm iwlwifi intel_uncore btintel videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hda_intel bluetooth intel_rapl_perf videobuf2_common snd_hda_codec videodev snd_hda_core joydev media snd_hwdep cfg80211 snd_seq wmi_bmof snd_seq_device ecdh_generic snd_pcm thinkpad_acpi snd_timer rfkill snd mei_me soundcore mei i2c_i801 lpc_ich shpchp pcc_cpufreq dm_crypt i915 nouveau mxm_wmi ttm crct10dif_pclmul i2c_algo_bit crc32_pclmul crc32c_intel drm_kms_helper sdhci_pci ghash_clmulni_intel e1000e drm cqhci sdhci serio_raw firewire_ohci mmc_core firewire_core crc_itu_t wmi video
CPU: 6 PID: 17566 Comm: kworker/6:2 Not tainted 4.17.19-200.fc28.x86_64 #1
Hardware name: LENOVO 4282A37/4282A37, BIOS 8BET62WW (1.42 ) 07/26/2013
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7d/0x12b0 [mac80211]
RSP: 0018:ffffacd08c54be00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff8d3228060f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8d323e396930
RBP: ffff8d3228060f90 R08: 000000000000003c R09: 000000000000055b
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8d32280613a0
R13: ffff8d3228060760 R14: ffff8d2eb55c4300 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff8d323e380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fe4f9a6d000 CR3: 000000012c20a002 CR4: 00000000000606e0
Call Trace:
 ? rcu_exp_wait_wake+0x280/0x280
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 03 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 e6 d9 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 48 f3 e0 c0 e8 fd 06 2e d8 <0f> 0b 4c 89 ef e8 09 e2 ff ff e9 0b 03 00 00 c6 87 92 04 00 00

Comment 28 Chad Feller 2018-09-17 02:08:47 UTC
Description of problem:
Occurred during system startup.

Version-Release number of selected component:
kernel-core-4.18.7-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.7-200.fc28.x86_64 root=/dev/mapper/fedora_stormbreaker-root ro resume=/dev/mapper/fedora_stormbreaker-swap rd.lvm.lv=fedora_stormbreaker/root rd.luks.uuid=luks-44c9f4c0-7182-415d-989a-bbba19ec84e3 rd.lvm.lv=fedora_stormbreaker/swap rhgb quiet LANG=en_US.UTF-8
crash_function: try_to_del_timer_sync
kernel:         4.18.7-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 761 at net/mac80211/util.c:1908 ieee80211_reconfig+0x7c/0x12b0 [mac80211]
Modules linked in: fuse rfcomm ccm thunderbolt xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 snd_hda_codec_hdmi dell_rbtn hid_multitouch iTCO_wdt mei_wdt iTCO_vendor_support ath10k_pci intel_rapl ath10k_core x86_pkg_temp_thermal intel_powerclamp coretemp dell_laptop snd_hda_codec_realtek kvm_intel snd_hda_codec_generic mac80211
 dell_smm_hwmon kvm uvcvideo snd_hda_intel snd_hda_codec irqbypass intel_cstate snd_hda_core btusb intel_uncore ath btrtl snd_hwdep btbcm snd_seq intel_rapl_perf btintel snd_seq_device videobuf2_vmalloc bluetooth snd_pcm videobuf2_memops cfg80211 videobuf2_v4l2 videobuf2_common videodev dell_wmi dell_smbios joydev dcdbas intel_wmi_thunderbolt wmi_bmof dell_wmi_descriptor snd_timer media rtsx_pci_ms ecdh_generic snd soundcore memstick rfkill i2c_i801 idma64 mei_me mei processor_thermal_device intel_lpss_pci intel_soc_dts_iosf intel_lpss intel_pch_thermal dell_smo8800 ie31200_edac int3400_thermal intel_hid int3403_thermal acpi_thermal_rel int340x_thermal_zone pcc_cpufreq sparse_keymap acpi_pad binfmt_misc dm_crypt i915 nouveau ttm rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper crct10dif_pclmul
 mxm_wmi crc32_pclmul crc32c_intel drm asix nvme usbnet ghash_clmulni_intel mii rtsx_pci serio_raw libphy nvme_core i2c_hid video wmi
CPU: 7 PID: 761 Comm: kworker/7:3 Not tainted 4.18.7-200.fc28.x86_64 #1
Hardware name: Dell Inc. Precision 5520/06X96V, BIOS 1.9.4 04/23/2018
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7c/0x12b0 [mac80211]
Code: 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 c7 d6 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 48 13 e4 c0 e8 9e d9 2a eb <0f> 0b 4c 89 ef e8 0a e2 ff ff e9 0b 03 00 00 c6 87 92 04 00 00 01 
RSP: 0018:ffffb57103a4fe00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff96a9d8d00f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff96a9fe5d6930
RBP: ffff96a9d8d00f90 R08: 000000000000003c R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffff96a9d8d013a0
R13: ffff96a9d8d00760 R14: ffff96a9d46a2c00 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff96a9fe5c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f26191ab870 CR3: 000000022520a004 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Call Trace:
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0x9e/0xd0 [mac80211]
 process_one_work+0x1a1/0x350
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 29 Chad Feller 2018-09-17 02:20:51 UTC
(In reply to Chad Feller from comment #28)
> Description of problem:
> Occurred during system startup.
> 
> Version-Release number of selected component:
> kernel-core-4.18.7-200.fc28

Seeing which bug report this was attached to, I think this was actually triggered during the previous system boot.  That is, I was having network connectivity issues, so I rebooted to alleviate the issue and this bug report was waiting for me on login.

That said, I've had about a dozen network crashes and freezes with kernel 4.18.5 and 4.18.7, with numerous firmware crashes and network devices restarts littering the logs.  The desktop becomes choppy and almost unusable until a reboot happens.  All but one of the bug reports this past week have been unreportable due to what ABRT claims is a tainted kernel or a backtrace that has insufficient information.  I suspect that most of those unreportable issues somehow relate back to this one. 

It is frustrating that this problem has gotten worse, not better, so I find myself turning off wifi and just using a wired connection more often than not.

Comment 30 pvarfal 2018-10-26 20:27:00 UTC
Description of problem:
I have no idea;  It happened around the time when I was logging into my home wireless network for the first time.

I clicked on my wireless network ID, entered the password, and the "Oops!" crash report appeared shortly after my login
to the wireless failed.

 

Version-Release number of selected component:
kernel-core-4.18.16-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.16-200.fc28.x86_64 root=UUID=060f6d84-8f43-45cb-8ece-8c5472373879 ro resume=UUID=7025ebfa-f803-4b67-b103-dbdc334e0d31 rhgb quiet LANG=en_CA.UTF-8
crash_function: try_to_del_timer_sync
kernel:         4.18.16-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 19 at net/mac80211/util.c:1907 ieee80211_reconfig+0x7c/0x12b0 [mac80211]
Modules linked in: fuse rfcomm xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink devlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc snd_hda_codec_hdmi arc4 snd_hda_codec_realtek iwldvm intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_hda_codec_generic kvm uvcvideo irqbypass videobuf2_vmalloc videobuf2_memops crct10dif_pclmul videobuf2_v4l2 crc32_pclmul videobuf2_common ghash_clmulni_intel
 videodev intel_cstate intel_uncore media btusb btrtl mac80211 snd_hda_intel intel_rapl_perf btbcm snd_hda_codec btintel bluetooth snd_hda_core snd_hwdep iTCO_wdt ecdh_generic gpio_ich iTCO_vendor_support snd_seq snd_seq_device snd_pcm rtsx_pci_ms sony_laptop iwlwifi memstick snd_timer joydev cfg80211 snd pcc_cpufreq mei_me mei rfkill lpc_ich soundcore i2c_i801 tpm_infineon i915 radeon rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crc32c_intel ttm serio_raw drm r8169 rtsx_pci mii video
CPU: 1 PID: 19 Comm: kworker/1:0 Not tainted 4.18.16-200.fc28.x86_64 #1
Hardware name: Sony Corporation VPCSA20GD/VAIO, BIOS R2084H4 10/13/2011
Workqueue: events_freezable ieee80211_restart_work [mac80211]
RIP: 0010:ieee80211_reconfig+0x7c/0x12b0 [mac80211]
Code: 00 00 c6 44 24 1f 00 41 c6 85 94 04 00 00 00 4c 89 ef e8 b7 d6 fc ff 41 89 c7 85 c0 74 63 48 c7 c7 68 43 8d c0 e8 1e ba 81 c6 <0f> 0b 4c 89 ef e8 1a e2 ff ff e9 0b 03 00 00 c6 87 92 04 00 00 01 
RSP: 0018:ffffb89d00723e00 EFLAGS: 00010286
RAX: 0000000000000000 RBX: ffff898fd7f68f90 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff898fdfa56930
RBP: ffff898fd7f68f90 R08: 000000000000003c R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffff898fd7f693a0
R13: ffff898fd7f68760 R14: ffff898fdab9a0c0 R15: 00000000ffffff92
FS:  0000000000000000(0000) GS:ffff898fdfa40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000563a8ebb1000 CR3: 000000002b20a006 CR4: 00000000000606e0
Call Trace:
 ? try_to_del_timer_sync+0x4d/0x80
 ieee80211_restart_work+0xbb/0xe0 [mac80211]
 process_one_work+0x1a1/0x350
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40

Comment 31 Gaveen Prabhasara 2018-12-04 10:43:06 UTC
*** Bug 1655968 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.